<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><% LIN_PRODUCT_NAME %></title>
<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<meta http-equiv="pragma" content="no-cache">
<meta http-equiv="expires" content="-1">
<link rel="stylesheet" href="/template.css" type="text/css">
<script language=javascript src="/java/js.js"></script>
<script type="text/javascript" src="/java/jquery-1.4.4.pack.js"></script>
<script language="JavaScript">
<!--
var usr_level=<% LIN_LOGIN_LEVEL %>;
var show_module="<% UPS_SHOW_MODULE %>";
var isIE = /*@cc_on!@*/false;
var secs;
var timerID=null;
var delay=1000;
var http_request;
var xmlDoc;
var xmlNode;
var serverNoResponseCount=0;
var commState = new Array('<span id="@menus#32">Normal</span>', '<span id="#45">Disconnect</span>');
var shutdownType = new Array('<span id="#15">Shutdown</span>', '<span id="#16">Power Off</span>', '<span id="#17">Hibernate</span>');
var eventType = new Array('<span id="@menus#28">System</span>', '<span id="@menus#29-2">Information</span>', '<span id="@menus#30-2">Warning</span>', '<span id="@menus#31-2">Severity</span>');
var healthType = new Array('<span id="@menus#32-3">Normal</span>', '<span id="@menus#32-3">Normal</span>', '<span id="@menus#30-3">Warning</span>', '<span id="@menus#31-3">Severity</span>');
var imgSrc=new Array("/images/l_normal.gif","/images/l_normal.gif","/images/l_warning.gif","/images/l_critical.gif");
var outSrc=new Array('<span id="#30">Normal</span>','<span id="#31">Battery</span>','<span id="#32">Bypass/Reserve</span>','<span id="#33">Reducing</span>','<span id="#34">Boosting</span>','<span id="#35">Manual Bypass</span>','<span id="#36">Other</span>','<span id="#37">No output</span>');
var battSts=new Array('<span id="#38">Normal</span>','<span id="#39">Weak</span>','<span id="#40">Low</span>','<span id="#41">Depleted</span>','<span id="#42">Replace</span>');
var classString=new Array("normal", "normal", "warning", "critical");
var val_countdown = -1;
var val_cancelshutdown = 0;
function getType(ary,index,inc)
{
	return ary[index].replace(/#(\d+)-*/,"#$1-"+inc)
}

function pad(number, length) {
    var str = '' + number;
    while (str.length < length)
        str = '0' + str;
    return str;
}

function InitializeTimer()
{
	// Set the length of the timer, in seconds
	secs=0;
	RunTheTimer();
}

function RunTheTimer()
{
	if (val_countdown < 0) {
		document.getElementById('SUM_COUNTDOWN_CLASS').className="countdown_normal";
		document.getElementById('SUM_OS_COUNTDOWN').innerHTML = "--:--";
	}
	else {
		if (serverNoResponseCount <= 3) {	// Network connect
			if (0 == val_cancelshutdown) {
				val_countdown--;
			}
			if (val_countdown < 60) {
				document.getElementById('SUM_COUNTDOWN_CLASS').className="countdown_critical";
				document.getElementById('SUM_OS_COUNTDOWN').innerHTML = "00:" + pad(val_countdown, 2);
			}
			else if (val_countdown < 120) {
				document.getElementById('SUM_COUNTDOWN_CLASS').className="countdown_warning";
				document.getElementById('SUM_OS_COUNTDOWN').innerHTML = pad(Math.floor(val_countdown / 60), 2) + ":" + pad(val_countdown % 60, 2);
			}
			else {
				document.getElementById('SUM_COUNTDOWN_CLASS').className="countdown_normal";
				document.getElementById('SUM_OS_COUNTDOWN').innerHTML = pad(Math.floor(val_countdown / 60), 2) + ":" + pad(val_countdown % 60, 2);
			}
		}
	}
	if(secs==0) {
		secs = <% WEB_REFRESH %>;
		if(serverNoResponseCount>3) {
			UpdateXMLValue(); // Display unknown
		}
		serverNoResponseCount++; // Increase no response counter
		MakeXMLRequest();
	}
	self.status=secs;
	secs=secs-1;
	timerID=self.setTimeout("RunTheTimer()",delay);
}

function MakeXMLRequest()
{
    if(window.XMLHttpRequest) // IE7, Chrome
    	http_request=new XMLHttpRequest();
    else if(window.ActiveXObject) { // IE
    	try {
        	// New IE
        	http_request=new ActiveXObject("Msxml2.XMLHTTP");
    	}
    	catch(e) {
        	try {
        		// IE6, IE5
        		http_request=new ActiveXObject("Microsoft.XMLHTTP");
        	}
        	catch(e) {}
    	}
    }
    if(!http_request) {
        alert('Cannot create an XML instance');
        return false;
    }
    http_request.onreadystatechange=function() {HandleRxXML();}; // Set callback function
    http_request.open('GET','index.xml',true);
	// IE need to add the following header or it always gets the catched index.xml and the values are always the same
	http_request.setRequestHeader("If-Modified-Since","Sat, 1 Jan 2000 00:00:00 GMT");
	d = new Date();
	t = d.getTime();
	thetimestring=t.toString(10);
	http_request.send(thetimestring);
}

function HandleRxXML() {
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
			UpdateXMLValue();
			serverNoResponseCount=0; // Clear no response counter
		}
    }
}

function UpdateXMLValue()
{
    if(serverNoResponseCount>3) {
		document.getElementById('NET_DISCONNECT').innerHTML=getdivc("@index#20","Network: Disconnect");
    }
    else {
	    if(isIE) { // IE
		 	try {
				xmlDoc = new ActiveXObject("MSxml2.DOMDocument");
			}
			catch(e) {
				try {
					xmlDoc = new ActiveXObject("Microsoft.xmldom");
				}
    	    	catch(e) {}
			}
			xmlDoc.loadXML(http_request.responseText)
    	}
	    else { // Chrome
    		xmlDoc=http_request.responseXML;
    	}
		document.getElementById('NET_DISCONNECT').innerHTML="";

		document.getElementById('SYS_TIME').innerHTML = xmlDoc.getElementsByTagName('SYS_TIME')[0].childNodes[0].nodeValue;
		val_temp = xmlDoc.getElementsByTagName('SUM_SHUT_TYPE')[0].childNodes[0].nodeValue;
		if (val_temp >= 0 && val_temp < 3) {
			document.getElementById('SUM_SHUT_TYPE').innerHTML = shutdownType[val_temp];
		}
		else {
			document.getElementById('SUM_SHUT_TYPE').innerHTML = '';
		}
		val_countdown = xmlDoc.getElementsByTagName('SUM_OS_COUNTDOWN')[0].childNodes[0].nodeValue;
		val_cancelshutdown = xmlDoc.getElementsByTagName('SUM_OS_CANCEL')[0].childNodes[0].nodeValue;
		// UPS property
		val_commsts = xmlDoc.getElementsByTagName('UPS_COMMSTS')[0].childNodes[0].nodeValue;
		val_health = xmlDoc.getElementsByTagName('SUM_UPS_HEALTH')[0].childNodes[0].nodeValue;
		val_outsource = xmlDoc.getElementsByTagName('UPS_OUTSRC')[0].childNodes[0].nodeValue;
		val_outsourcelevel = xmlDoc.getElementsByTagName('PRP_C_OUTSRC')[0].childNodes[0].nodeValue;
		val_phase = xmlDoc.getElementsByTagName('UPS_PHASE')[0].childNodes[0].nodeValue;
		if (val_phase > 0) {
			val_outload1 = xmlDoc.getElementsByTagName('UPS_OUTLOAD1')[0].childNodes[0].nodeValue;
		}
		if (val_phase > 1) {
			val_outload2 = xmlDoc.getElementsByTagName('UPS_OUTLOAD2')[0].childNodes[0].nodeValue;
		}
		if (val_phase > 2) {
			val_outload3 = xmlDoc.getElementsByTagName('UPS_OUTLOAD3')[0].childNodes[0].nodeValue;
		}
		val_battstatus = xmlDoc.getElementsByTagName('UPS_BATTSTS')[0].childNodes[0].nodeValue;
		val_battstatus_c = xmlDoc.getElementsByTagName('PRP_C_BATTSTS')[0].childNodes[0].nodeValue;
		val_battlevel = xmlDoc.getElementsByTagName('UPS_BATTLEVEL')[0].childNodes[0].nodeValue;
		val_battlevel_c = xmlDoc.getElementsByTagName('PRP_C_BLEVEL')[0].childNodes[0].nodeValue;
		line_tmp = "<table width=340 border=0 cellspacing=1 cellpadding=10 class=mtab>";
		if (val_commsts > 0) {
			line_tmp += "<tr><td width=40% nowrap><img src=" + imgSrc[3] + "> <span id='#44'>UPS Communication</span>:</td><td width=60% class=" + classString[3] + ">" + commState[1] + "</td></tr>";
		}
		else {
			line_tmp += "<tr><td width=40% nowrap><img src=" + imgSrc[1] + "> <span id='#44'>UPS Communication</span>:</td><td width=60% class=" + classString[1] + ">" + commState[0] + "</td></tr>";
		}
		if (val_commsts == 0 && val_health >= 0) {
			line_tmp += "<tr><td width=40%><img src=" + imgSrc[val_health] + "> <span id='#26'>UPS Health</span>:</td><td width=60% class=" + classString[val_health] + ">" + healthType[val_health] + "</td></tr>";
		}
		if (val_outsource >= 0) {
			line_tmp += "<tr><td><img src=" + imgSrc[val_outsourcelevel] + "> <span id='#27'>Output Source</span>:</td><td class=" + classString[val_outsourcelevel] + ">" + outSrc[val_outsource] + "</td></tr>";
		}
		val=xmlDoc.getElementsByTagName('PRP_C_OUTLOAD')[0].childNodes[0].nodeValue;
		if (val_phase > 2) {
			line_tmp += "<tr><td valign=top><img src=" + imgSrc[val] + "> <span id='#43'>Output Load</span>:</td><td class=" + classString[val] + ">";
			line_tmp += "<div id='pg_outload1'></div><div id='pg_outload2'></div><div id='pg_outload3'></div></td></tr>";
		}
		else if (val_phase > 1) {
			line_tmp += "<tr><td valign=top><img src=" + imgSrc[val] + "> <span id='#43'>Output Load</span>:</td><td class=" + classString[val] + ">";
			line_tmp += "<div id='pg_outload1'></div><div id='pg_outload2'></div></td></tr>";
		}
		else if (val_phase > 0) {
			line_tmp += "<tr><td><img src=" + imgSrc[val] + "> <span id='#43'>Output Load</span>:</td><td class=" + classString[val] + ">";
			line_tmp += "<div id='pg_outload1'></div></td></tr>";
		}
		if (val_commsts == 0 && val_battstatus >= 0) {
			line_tmp += "<tr><td><img src=" + imgSrc[val_battstatus_c] + "> <span id='#28'>Battery Status</span>:</td><td class=" + classString[val_battstatus_c] + ">" + battSts[val_battstatus] + "</td></tr>";
		}
		if (val_battlevel >= 0) {
			line_tmp += "<tr><td><img src=" + imgSrc[val_battlevel_c] + "> <span id='#29'>Battery Capacity</span>:</td><td class=" + classString[val_battlevel_c] + "><div id='pg_battlevel'></div></td></tr>";
		}
		document.getElementById('SUM_UPS_PROPERTY').innerHTML = line_tmp + "</table>";
		pgbarTotalWidth = 165
		if (val_phase > 2) setProbar("#pg_outload3",150,val_outload3,classString[val],15)
		if (val_phase > 1) setProbar("#pg_outload2",150,val_outload2,classString[val],15)
		if (val_phase > 0) setProbar("#pg_outload1",150,val_outload1,classString[val],15)
		pgbarTotalWidth = 130
		if (val_battlevel >= 0) setProbar("#pg_battlevel",100,val_battlevel,classString[val_battlevel_c],10)
		//if (val_battlevel >= 0) setProbar("#pg_battlevel",100,val_battlevel,"#0ff")
		// Schedule
		scheitm = new Array('UPS_SCH_NEXTOFF','UPS_SCH_NEXTON','UPS_SCH_NEXTTEST','UPS_SCH_NEXTDEEPTEST')
		for(o=0;o<scheitm.length;o++)
		{
		    val = xmlDoc.getElementsByTagName(scheitm[o])[0].childNodes[0].nodeValue;
		    document.getElementById(scheitm[o]).innerHTML=(val=="None")?"":val;
		}
		// Last event log
		ListNum = xmlDoc.getElementsByTagName('SUM_SLOG_NUM')[0].childNodes[0].nodeValue;
		if (ListNum > 0) {
			line_tmp = "<table width=650 border=0 cellspacing=1 cellpadding=10  class=mtab><tr><td style='border-bottom:1px #999 solid;'>&nbsp;</td><th><span id='#11'>Date/Time</span></th><th><span id='#12'>Event Level</span></th><th><span id='#13'>Event Description</span></th></tr>";
			for (i = 0; i < ListNum; i++) {
				val_time = xmlDoc.getElementsByTagName('SUM_SLOG_TIME')[i].childNodes[0].nodeValue;
				val_level = xmlDoc.getElementsByTagName('SUM_SLOG_LEVEL')[i].childNodes[0].nodeValue;
				val_event = xmlDoc.getElementsByTagName('SUM_SLOG_EVENT')[i].childNodes[0].nodeValue;

				if (i % 2 == 0) {
					line_tmp += '<tr bgcolor=#eeeeee>'
				}
				else {
					line_tmp += '<tr>'
				}
				line_tmp += '<td class=bold>' + (i + 1) + '</td>';
				line_tmp +='<td nowrap>' + val_time + '</td>';
				if (val_level == 1) {
					line_tmp += '<td class="normal">' + getType(eventType,1,i) + '</td>' + '<td class="normal" align="left">' + val_event + '</td>';
				}
				else if (val_level == 2) {
					line_tmp += '<td class="warning">' + getType(eventType,2,i) + '</td>' + '<td class="warning" align="left">' + val_event + '</td>';
				}
				else if (val_level == 3) {
					line_tmp += '<td class="critical">' + getType(eventType,3,i) + '</td>' + '<td class="critical" align="left">' + val_event + '</td>';
				}
				else {
					line_tmp += '<td class="bold">' + getType(eventType,0,i) + '</td>' + '<td class="bold" align="left">' + val_event + '</td>';
				}
				line_tmp += '</tr>';
			}
			document.getElementById('SUM_SLOG_LIST').innerHTML = line_tmp + "</table>";
		}
		if((enableML)&&(currectLang != defaultLang))chgLangByDoc(indexs, document, 0)
	}
}
//-->
</script>
</head>
<body leftmargin="1" topmargin="8" style="display:none" onLoad="loadjs('/java/langs.js');setTimeout('pageload();InitializeTimer();',150)">
<!-- Top Menu & Left Menu Start -->
<table width=941 border=0 height=100% cellspacing=0 cellpadding=0 align=center id=tab0>
<tr><td colspan=3 id=topblk valign=top><div id=topblkdiv></div></td></tr>
<tr><td colspan=3 id=topmenu1><span id=topmenu1div></span></td></tr>
<tr><td colspan=3 class=topmenusgap><img src="/images/sp.gif" width=941 height=2></td></tr>
<tr><td colspan=3 class=topmenu2 valign=top><span id=topmenu2div></span></td></tr>
<tr><td width="170" valign=top id=td0><div class=menunavdiv id=leftmenudiv></div></td>
<td id=td1><img src=/images/sp.gif width=13 height=1></td>
<td id=td2>
<div style="display:none">
<div id=currlang><% LIN_LANG %></div>
<div id=home_url><a href='<% LIN_INDEX_ASP %>'><span id="@menus#0">Home</span></a></div>
<div id=logout_url><a href='/logout.asp' class='nav' target='_top'><span id="@menus#1">Logout</span></a></div>
<div id=sys_times><% SYS_TIME %></div>
<span id='@index#20'>Network: Disconnect</span>
</div>
<!-- Top Menu & Left Menu End -->
<h4 id=page_title></h4>
<!-- Form Start -->
<FORM NAME="index" ACTION="/delta/index" METHOD=post>
<table cellspacing=0 cellpadding=1 border=0 width=690>
<tr><td colspan=2 class="critical"><span id=NET_DISCONNECT></span></td></tr>
<tr><td valign=top width=390>
	<div class='bluetabs brtype0' id="<span id='@menus#10'>Summary</span>">
	<table width=360 border=0 cellspacing=1 cellpadding=0 class=mtab>
		<tr height=20pt><td colspan=4 class=mtabth2><span id='#46'>Identification</span></td></tr>
		<tr valign="top"><td nowrap><span id='#47'>Model</span>:</td><td class=blue><% UPS_MODEL %></td>
<script language="javascript">
<!--
var typeString=new Array("<span id='#51'>On line</span>","<span id='#52'>Off line</span>"
,"<span id='#53'>Line interactive</span>","<span id='#54'>3 phase</span>","<span id='#55'>Split phase</span>","");
var val1=<% UPS_TYPE %>;
var val2="<% UPS_SERNUM %>";
var val3=<% UPS_RATVA %>;
	document.write("<td nowrap><span id='#48'>Type</span>:</td><td class=blue>", typeString[val1], "</td></tr>");
	if (val2.length > 0) {
		document.write("<tr valign='top'><td nowrap>UID:</td><td class=blue>", val2, "</td>");
	}
	else {
		document.write("<tr valign='top'><td nowrap></td><td class=blue></td>");
	}
	if(val3>0) {
		if(val3>=1000) {
			if(val3 % 1000 !=0) {
				if(val3 % 100 !=0)
					document.write("<td nowrap><span id='#50'>Rating VA</span>:</td><td class=blue>", Math.floor(val3/1000), ".", Math.floor(val3%1000/10), " <small>kVA</small></td></tr>");
				else
					document.write("<td nowrap><span id='#50'>Rating VA</span>:</td><td class=blue>", Math.floor(val3/1000), ".", Math.floor(val3%1000/100), " <small>kVA</small></td></tr>");
			}
			else
				document.write("<td nowrap><span id='#50'>Rating VA</span>:</td><td class=blue>", val3/1000, " <small>kVA</small></td></tr>");
		}
		else
			document.write("<td nowrap><span id='#50'>Rating VA</span>:</td><td class=blue>", val3, " <small>VA</small></td></tr>");
	}
--></script>
		<tr><td colspan=4 align=right><a href="/en/device/info_ident.asp" class="uline"><small><span id='#58'>Detail</span></a>...</small></td></tr>
	</table>
	<table width=360 border=0 cellspacing=1 cellpadding=0 class=mtab>
	<tr height=20pt><td class=mtabth2><span id='#6'>UPS Properties</span></td></tr>
	<tr><td><span id='SUM_UPS_PROPERTY'></span></td></tr>
	</table>
	</div>
	</td>
	<td valign=top width=260>
	<div class='bluetabs brtype0'id="<span id='#14'>Shutdown</span>">
	<table width=240 border=0 cellspacing=1 cellpadding=10  class=mtab>
		<tr height=20pt><td colspan=4 class=mtabth2><span id='#14-1'>Shutdown</span></td></tr>
		<tr><td nowrap><span id='#5'>Shutdown Type</span>:</td><td class=blue>
<script language="javascript">
<!--
		if (usr_level <= 1) {
			document.write("<a href='/en/device/mgnt_reaction.asp' class='uline'><span id='SUM_SHUT_TYPE'></span></a>");
		}
		else {
			document.write("<span id='SUM_SHUT_TYPE'></span>");
		}
--></script>
		</td></tr>
		<tr><td nowrap><span id='#4'>OS Countdown</span>:</td><td id='SUM_COUNTDOWN_CLASS'><span id='SUM_OS_COUNTDOWN'></span></td></tr>
	</table>
	<table width=240 border=0 cellspacing=2 cellpadding=1>
	<tr height=20pt><td colspan=4 class=mtabth2><span id='#21'>Schedule</span></td></tr>
	<tr><td colspan=2><span id="#22">Next Shutdown Time</span>: </td></tr>
	<tr bgcolor=#eeeeee><td colspan=2 align=right class=bold><span id=UPS_SCH_NEXTOFF></span></td></tr>
	<tr><td colspan=2><span id="#23">Next Restart Time</span>: </td></tr>
	<tr bgcolor=#eeeeee><td colspan=2 align=right class=bold><span id=UPS_SCH_NEXTON></span></td></tr>
	<tr><td colspan=2><span id="#24">Next Test Time</span>: </td></tr>
	<tr bgcolor=#eeeeee><td colspan=2 align=right class=bold><span id=UPS_SCH_NEXTTEST></span></td></tr>
	<tr><td colspan=2><span id="#25">Next Deep Batt. Test Time</span>: </td></tr>
	<tr bgcolor=#eeeeee><td colspan=2 align=right class=bold><span id=UPS_SCH_NEXTDEEPTEST></span></td></tr>
<script language="javascript">
<!--
	if (usr_level <= 1) {
		document.write("<tr><td colspan=2><div align=right><a href='/en/device/mgnt_wschedule.asp' class='uline'><small><span id='@menus#40'>Weekly Schedule</span></a>...</small></div></td></tr>");
		document.write("<tr><td colspan=2><div align=right><a href='/en/device/mgnt_sschedule.asp' class='uline'><small><span id='@menus#41'>Specific Schedule</span></a>...</small></div></td></tr>");
	}
--></script>
	</table>
	</div>
	</td>
</tr>
<tr><td colspan=2><div class='tabs brtype2' id="<span id='#10'>Last 5 Event Log</span>"><span id='SUM_SLOG_LIST'></span></div></td></tr>
<tr><td colspan=2 align=right><img src="/images/event_log.gif"> <a href='/en/hist_log.asp' class="uline"><small><span id="#18">Event Log</span></a>...</small></td></tr>
</table>
</form>
<!-- Form end -->
<div id=copyright style="margin-top:-12px;"></div>
		</td>
	</tr>
</table>
<script language="javascript"><!--
loadwebstyle("Monitor","Information","Summary")
$("a.uline").css({"color":"#075582","font-weight":"600"})
//--></script>
</body>
</html>